site_name: (pvt)dept-software_dev
theme:
  name: material
  features: [navigation.tabs, navigation.sections, navigation.tabs.sticky, toc.integrate, toc.follow, navigation.top, navigation.expand, search.suggest, search.highlight, content.tabs.link, content.code.annotation, content.code.copy]
  language: en
  palette: [{ scheme: default, toggle: { icon: material/toggle-switch-off-outline, name: 'Switch to dark mode' }, primary: azure, accent: purple }, { scheme: slate, toggle: { icon: material/toggle-switch, name: 'Switch to light mode' }, primary: azure, accent: lime }]
markdown_extensions:
  - { pymdownx.highlight: { anchor_linenums: true } }
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - admonition
  - { pymdownx.arithmatex: { generic: true } }
  - footnotes
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.mark
  - attr_list
  - md_in_html
  - pymdownx.blocks.caption
plugins:
  - search
  - { mkdocstrings: { default_handler: python } }
extra_css:
  - assets/custom.css
nav:
  - { 'Add On': [{ '(schain)online Docs': 'add-on/(schain)online docs.md' }, { '(witty)subscription Mgmt Api': 'add-on/(witty)subscription mgmt-api.md' }, { '(witty)subscription Mgmt': 'add-on/(witty)subscription mgmt.md' }, { 'Dev History': 'add-on/dev history.md' }] }
  - { Discussion: [{ Annoucements: discussion/annoucements.md }, { 'Best Practice': 'discussion/best practice.md' }, { 'Suggestions & Ideas': 'discussion/suggestions & ideas.md' }] }
  - { 'Doc Links': [{ 'Must Read': 'doc links/must read.md' }] }
  - { Hubshake: [{ 'Best Practice': hubshake/best_practice.md }, { 'Dev History': 'hubshake/dev history.md' }, { Introduction: hubshake/introduction.md }] }
  - { 'Mobile Apps': [{ 'Dev History': 'mobile apps/dev history.md' }, { Mytimeheet: 'mobile apps/mytimeheet.md' }, { 'Witty Mobile V2': 'mobile apps/witty mobile v2.md' }] }
  - { 'S Chain': [{ '(api)algo Address Mgmt': s-chain/(api)algo-address-mgmt.md }, { '(api)algo Endpoint': s-chain/(api)algo_endpoint.md }, { 'Algo Auth0 Integration': s-chain/algo_auth0_integration.md }, { 'Dev History': 's-chain/dev history.md' }, { 'Dev Resources': 's-chain/dev resources.md' }, { Introduction: s-chain/introduction.md }, { 'S Chain Roadmap 2025': 's-chain/s-chain roadmap 2025.md' }] }
  - { Witty_v2: [{ 'Dev History': 'witty_v2/dev history.md' }, { 'Dev Resources': 'witty_v2/dev resources.md' }, { Integrations: witty_v2/integrations.md }, { 'Introduction (v2)': 'witty_v2/introduction (v2).md' }] }
  - { Witty_v3: [{ 'Api Doc': 'witty_v3/api doc.md' }, { 'Dev History': 'witty_v3/dev history.md' }, { 'Development Guidelines': 'witty_v3/development guidelines.md' }, { 'Devops & Ci. Cd': 'witty_v3/devops & ci. cd.md' }, { 'Future Roadmap & Backlogs': 'witty_v3/future roadmap & backlogs.md' }, { 'Introduction (v3)': 'witty_v3/introduction (v3).md' }, { 'Security & Compliance': 'witty_v3/security & compliance.md' }, { 'Tech Stack & Architecture': 'witty_v3/tech stack & architecture.md' }] }
